package com.cool.store.service;

import com.cool.store.dto.wx.MiniAppUrlLinkReqDTO;
import com.cool.store.dto.wx.MiniProgramLoginDTO;
import com.cool.store.request.MobileUpdateRequest;
import com.cool.store.vo.PartnerUserInfoVO;

/**
 * @author zhangchenbiao
 * @FileName: WechatMiniAppService
 * @Description:
 * @date 2023-05-29 14:28
 */
public interface WechatMiniAppService {

    PartnerUserInfoVO miniProgramLogin(MiniProgramLoginDTO param);

    PartnerUserInfoVO getUserInfoByJsCode(String jsCode);

    String getUserPhoneNumber(String mobileCode);

    String updateUserPhoneNumber(MobileUpdateRequest request, PartnerUserInfoVO userInfoVO);

    PartnerUserInfoVO getUserInfo(String mobile, String openId);

    String getMiniAppUrl();

    String getMiniAppUrlLink(MiniAppUrlLinkReqDTO miniAppUrlLinkReqDTO);
}
